Gentoo Archives: gentoo-commits

From: "Sebastien Fabbro (bicatali)" <bicatali@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in net-libs/pacparser: pacparser-1.3.1.ebuild ChangeLog
Date: Wed, 30 Apr 2014 15:48:08
Message-Id: 20140430154803.377682004B@flycatcher.gentoo.org
bicatali    14/04/30 15:48:03

  Modified:             pacparser-1.3.1.ebuild ChangeLog
  Log:
  Removed conflict, bug #509168
  
  (Portage version: 2.2.8-prefix/cvs/Linux x86_64, signed Manifest commit with key 0x13CB1360)

Revision  Changes    Path
1.2                  net-libs/pacparser/pacparser-1.3.1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-libs/pacparser/pacparser-1.3.1.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-libs/pacparser/pacparser-1.3.1.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-libs/pacparser/pacparser-1.3.1.ebuild?r1=1.1&r2=1.2

Index: pacparser-1.3.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-libs/pacparser/pacparser-1.3.1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- pacparser-1.3.1.ebuild	26 Nov 2013 05:29:31 -0000	1.1
+++ pacparser-1.3.1.ebuild	30 Apr 2014 15:48:03 -0000	1.2
@@ -1,6 +1,6 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/pacparser/pacparser-1.3.1.ebuild,v 1.1 2013/11/26 05:29:31 bicatali Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-libs/pacparser/pacparser-1.3.1.ebuild,v 1.2 2014/04/30 15:48:03 bicatali Exp $
 
 EAPI=5
 
@@ -14,7 +14,7 @@
 
 LICENSE="LGPL-3"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
 IUSE="doc python"
 
 DEPEND="python? ( ${PYTHON_DEPS} )"
@@ -41,11 +41,13 @@
 }
 
 src_install() {
-	emake DESTDIR="${D}" LIB_PREFIX="${D}/usr/$(get_libdir)" -C src install
+	emake DESTDIR="${ED}" LIB_PREFIX="${ED}/usr/$(get_libdir)" -C src install
 	dodoc README
 	use python && python_foreach_impl \
 		emake DESTDIR="${D}" \
 		LIB_PREFIX="${D}/usr/$(get_libdir)" -C src install-pymod
-	use doc && emake DESTDIR="${D}" \
-		DOC_PREFIX="${D}/usr/share/doc/${PF}" -C src install-docs
+	use doc && emake DESTDIR="${ED}" \
+		DOC_PREFIX="${ED}/usr/share/doc/${PF}" -C src install-docs
+	# conflicts (bug #509168), and useless
+	rm "${ED}"/usr/share/man/man3/deprecated.3 || die
 }



1.2                  net-libs/pacparser/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-libs/pacparser/ChangeLog?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-libs/pacparser/ChangeLog?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-libs/pacparser/ChangeLog?r1=1.1&r2=1.2

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-libs/pacparser/ChangeLog,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- ChangeLog	26 Nov 2013 05:29:31 -0000	1.1
+++ ChangeLog	30 Apr 2014 15:48:03 -0000	1.2
@@ -1,6 +1,9 @@
 # ChangeLog for net-libs/pacparser
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/pacparser/ChangeLog,v 1.1 2013/11/26 05:29:31 bicatali Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/pacparser/ChangeLog,v 1.2 2014/04/30 15:48:03 bicatali Exp $
+
+  30 Apr 2014; S├ębastien Fabbro <bicatali@g.o> pacparser-1.3.1.ebuild:
+  Removed conflict, bug #509168
 
 *pacparser-1.3.1 (26 Nov 2013)